#include "Dezibot.h"

Dezibot dezibot = Dezibot();

// How many times to run a command on the display consecutively;
const uint16_t iterations = 1000;

void setup() {
  dezibot.begin();
}

void loop() {
  //Typical output
  dezibot.display.println("Typical output");
  for(uint16_t iter=0; iter<iterations; iter++) {
    dezibot.display.println(iter);
  }
  delay(10);
  //Lots of pixels turned on
  dezibot.display.invertColor();
  dezibot.display.println("Inverted output");
  for(uint16_t iter=0; iter<iterations; iter++) {
    dezibot.display.println(iter);
  }
  delay(10);
  //Completely off
  dezibot.display.clear();
  sleep(10);
  //Completely on
  dezibot.display.invertColor();
  sleep(10);
}